/*
 *  ngtk/test/menu_bar.c
 *
 *  Copyright (C) 1998, 1999 Gabriel Fort <gabx@tfz.net>
 *
 */

/*----------------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
----------------------------------------------------------------------------*/
#include <ngtk/ngtk.h>
#include "ngtk_test.h"

void cleanup_menu_bar(void)
{
    ngtk_topbar(56, A_NORMAL, version_info, 0);
	wmove(mbar->win, 0, 2);
	ngtk_dccprintf(mbar, RED_F(WHITE_B), A_NORMAL, BLACK_F(WHITE_B), A_NORMAL, "Functions");
	wrefresh(mbar->win);
}

void menu_bar(void)
{
	void (*func)();
	const char *bar_str[7] = { "Info", "Radio Test", "Menu Test", \
							   "Input Test", "Progress Bar Test", \
							   "Scroll Test", "Quit" };
	const void *bar_funcs[7] = { info, radio_test, menu_test, text_input, pbar, \
								 scroll_test, quit };
    ngtk_menu_t *main_menu;

    ngtk_topbar(56, A_NORMAL, " Choose a Test Function. Press Escape to close menu", 0);
	wmove(mbar->win, 0, 2);
	ngtk_dccprintf(mbar, RED_F(GREEN_B), A_NORMAL, BLACK_F(GREEN_B), A_NORMAL, "Functions");
	wrefresh(mbar->win);

	main_menu = ngtk_mk_menu("Functions", 7, bar_str, bar_funcs);

	ngtk_show_menu(main_menu, 2, 0, BLACK_F(WHITE_B), A_NORMAL, WHITE_F(BLACK_B), A_NORMAL, 1);

    func = ngtk_manage_menu(main_menu);

	ngtk_hide_menu(main_menu);
	ngtk_destroy_menu(main_menu);
	cleanup_menu_bar();
    func();
}

void init_menu_bar(void)
{
	int ialtf = 0x115;
	char *saltf = "\033f";

	ngtk_define_keysym(saltf, ialtf);

	ngtk_register_key(ialtf, menu_bar, "", "", 0);
	ngtk_register_key(NGTK_KEY_F(10), menu_bar, "", "", 0);
}

